<?php

/**
* Attempt to serve a page directly from FlexiCache without including any Wordpress
* files.  If no page is served, continue through to serve via Wordpress as usual
*/

require_once 'FlexiCache.php';

/**
* Define WP_PLUGIN_DIR here to save including any Wordpress files
*/
define('WP_PLUGIN_DIR', join(DIRECTORY_SEPARATOR,array($_SERVER['DOCUMENT_ROOT'],'wp-content','plugins')));

FlexiCache::initStandalone();

/**
* If the file wasn't served above we continue to generate the page in Wordpress
* and cache appropriately.  Since we know there isn't a version already cached
* we can save some time by disabling checking in plugin mode.
*/
FlexiCache::setIsServable(false);

chdir($_SERVER['DOCUMENT_ROOT']);
require_once('index.php');
